<?php

namespace App\Http\Controllers\User\Api;

use Auth;
use Illuminate\Http\Request;

use App\Http\Modules\User\ContractTemplateObligationModule;

use App\Http\Controllers\User\BaseController;

class ContractTemplateObligationController extends BaseController
{
    public function __construct()
    {
        parent::__construct();
    }

    public function list(Request $request)
    {
    	$contract_template_obligation = ContractTemplateObligationModule::list($request);
    	return $contract_template_obligation;
    }

    public function show(Request $request, $hash_id)
    {
        $contract_template_obligation = ContractTemplateObligationModule::show($request, $hash_id);
        return $contract_template_obligation;
    }

    public function store(Request $request)
    {
        $contract_template_obligation = ContractTemplateObligationModule::store($request);
        return $contract_template_obligation;
    }

    public function update(Request $request, $hash_id)
    {
        $contract_template_obligation = ContractTemplateObligationModule::update($request, $hash_id);
        return $contract_template_obligation;
    }

    public function delete(Request $request, $hash_id)
    {
        $contract_template_obligation = ContractTemplateObligationModule::delete($request, $hash_id);
        return $contract_template_obligation;
    }
}
